Subject: Re: Git in GSoC 2025

From: Kaartic Sivaraam <[email-masked]>
Date: Fri, 7 Feb 2025 13:02:25 +0530

Hi Christian, Karthik, Patrick, Jialuo and all,

On 05/02/25 18:50, Christian Couder wrote:
> Hi Kaartic and all,
> 
> On Tue, Feb 4, 2025 at 7:33 PM Kaartic Sivaraam
> <[email-masked]> wrote:
> 
> I have just added myself as a possible mentor. If possible I'd like to
> just co-mentor this project and someone else to be the main mentor for
> this project.
> 
 > ...
> 
> I have just added myself as a possible mentor. If possible I'd like to
> be the main mentor for this project.
> 

Thank you for adding yourself as a potential mentor!

With this, it seems to me like we could at the max. accept 3 students

>> Note that I haven't assigned any mentors / co-mentors for each project.
>> I suppose we could assign that based on the applications we receive and
>> the ideas that we end up selecting.
>>
>> Based on Christian's inputs, we should be able to distribute
>> projects among mentors well.
> 
> Yeah, I hope it will be possible to distribute projects among mentors well.
>

Indeed. From all of your inputs I was able to come to the following
allocation of mentor / co-mentor.

-- 8< --

Consolidate ref-related functionality into git-refs

- Mentor: Patrick
- Co-mentor: Jialuo / Christian

Refactoring in order to reduce Git’s global state

- Mentor: Christian
- Co-mentor: Karthik / Jialuo

Machine-Readable Repository Information Query Tool

- Mentor: Karthik
- Co-mentor: Patrick

Implement support for reftables in “dumb” HTTP transport

- Mentor: Patrick
- Co-mentor: Karthik

-- >8 --

Let me know if this sounds fine to all of you. So, I suppose we could
pick a maximum of 3 projects but we cannot pick both "Consolidate
ref-related functionality into git-refs" and "Implement support
for reftables in “dumb” HTTP transport" at the same time as Patrick
only prefers to be mentor in one project.

Based on this, I'll tweak the ideas page to mention that we could
pick a max of 3 candidates.

BTW, I've just submitted Git's application for GSoC. We should know
by February 26 about the selection result.

--
Sivaraam